#
# spec file for package perl-XML-Writer
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XML-Writer
Version:        0.625
Release:        lp151.2.1
#Upstream: SUSE-Public-Domain
%define cpan_name XML-Writer
Summary:        Perl extension for writing XML documents
License:        MIT
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XML-Writer/
Source0:        http://www.cpan.org/authors/id/J/JO/JOSEPHW/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
XML::Writer is a helper module for Perl programs that write an XML
document. The module handles all escaping for attribute values and
character data and constructs different types of markup, such as tags,
comments, and processing instructions.

By default, the module performs several well-formedness checks to catch
errors during output. This behaviour can be extremely useful during
development and debugging, but it can be turned off for production-grade
code.

The module can operate either in regular mode in or Namespace processing
mode. In Namespace mode, the module will generate Namespace Declarations
itself, and will perform additional checks on the output.

Additional support is available for a simplified data mode with no mixed
content: newlines are automatically inserted around elements and elements
can optionally be indented based as their nesting level.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README TODO

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.625
  see /usr/share/doc/packages/perl-XML-Writer/Changes
  0.625 Thu 05 Jun 2014 23:55:42 +1000    <joe@kafsemo.org>
  - Allow xml-model processing instructions (#94078).
  - Don't warn when undef is passed to setOutput (#94369).
* Mon Feb 24 2014 coolo@suse.com
- updated to 0.624
  - Allow an empty system ID in a doctype declaration.
* Sat Jul 27 2013 coolo@suse.com
- updated to 0.623
  - Fix a memory leak introduced in 0.620.
  - Avoid issue with implicit stringification.
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.622
  - Fix bug where output is an IO::Scalar.
  - Include selfcontained_output.t in the distribution.
  - Allow OUTPUT => 'self' (#81327).
* Thu Jan 19 2012 vcizek@suse.com
- update to 0.615
  - Fix test skipping when Unicode is unsupported.
* Mon Jan  9 2012 vcizek@suse.com
- update to 0.614
  * Fix regression in 0.613 and set encoding on GLOBs.
  * Use 'Object->new()' syntax throughout (#65840).
  * Support passing in any arbitrary object that has a print()
    method (from Jason Rodrigues).
* Tue Dec 13 2011 coolo@suse.com
- fedora names that license "MIT"
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Mar 16 2011 cfarrell@novell.com
- license update: Copyright only
  http://en.opensuse.org/openSUSE:Accepted_licences compatible
  declaration of the text in LICENSE. See also Fedora Packagers
  licensing guidelines
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Aug 17 2010 chris@computersalat.de
- update to 0.612
  * Allow DATA_INDENT to specify arbitrary white space for
    indentation. If it is numeric then use that many space
    characters.
- recreated by cpanspec 1.78
- noarch pkg
- added bcond_with pod
* Fri Jul 16 2010 anicka@suse.cz
- update to 0.611
  * Adopt rewritten license text to explicitly allow modification.
* Mon Mar 29 2010 anicka@suse.cz
- update to 0.610
  * Add a CHECK_PRINT constructor parameter to check the output print
  success (#50465). It will croak when printing to output fails.
* Thu Mar 25 2010 anicka@suse.cz
- update to 0.607
  * Address license confusion by reverting to the original
    license, with contributor permission, and removing
    unintentional references to the (more restrictive)
    GPL/Artistic.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Jan 20 2009 anicka@suse.cz
- update to 0.606
  * Use MIT license, formalising David Megginson's original
  ("No warranty. Commercial and non-commercial use freely
  permitted.").
* Thu Jan 15 2009 anicka@suse.cz
- run tests properly (bnc#466014)
* Thu Feb 28 2008 anicka@suse.cz
- update to 0.604
  * Patch from Andreas Koenig for lc(undef) warning in 5.11
  * Include example code.
* Tue Jul  3 2007 anicka@suse.cz
- update to 0.603
  * Escape all necessary white space in attributes
* Wed Dec 13 2006 anicka@suse.cz
- update to 0.602
  * Fix bugs in test case to avoid breaking with new Perls.
  * Make test case work with older Perls, tested against 5.004
  * Include pod syntax and coverage tests.
* Thu Sep 14 2006 anicka@suse.cz
- update to 0.601
  * Don't modify list references passed as tag or attribute names
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug  1 2005 cthiel@suse.de
- update to version 0.600
- build as user
* Thu Feb 17 2005 mjancar@suse.cz
- update to 0.530
* Fri Aug  6 2004 mjancar@suse.cz
- update to 0.510
* Tue Oct 14 2003 ro@suse.de
- build on all versions
* Tue Oct 14 2003 ro@suse.de
- removed 'make test' when version of perl is v5.6.0 due to bug
  that causes segfault
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- fix filelist
* Mon Jun  9 2003 mjancar@suse.cz
- don't package MANIFEST
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Thu Aug 16 2001 rvasice@suse.cz
- initial package release (version 0.4)
